> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # List > Used to get a list of the tags that have been reported in your project, for example "home_page", "news_page", "checkout_btn", etc. For more information on attributes and tags review our [dedicated guide](https://docs.xtremepush.com/docs/attributes-tags). ## OpenAPI ````json POST /list/tag { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/list/tag": { "post": { "summary": "List", "description": "Used to get a list of the tags that have been reported in your project, for example \"home_page\", \"news_page\", \"checkout_btn\", etc.\n\nFor more information on attributes and tags review our [dedicated guide](https://docs.xtremepush.com/docs/attributes-tags).", "operationId": "tag-list", "deprecated": "false", "requestBody": { "required": "true", "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "order": { "type": "array", "description": "Order the results in either ascending or descending order based on any of the attributes, eg. `[\"id ASC\"]` or `[\"id DESC\"]`", "items": { "type": "string" } }, "select": { "type": "array", "description": "Select what attributes to return, eg. `[\"id\", \"title\"]`", "items": { "type": "string" } }, "condition": { "type": "string", "format": "json", "description": "Filter the results based on some criteria, eg. `[ [\"id\", \">\", 3113692] ]`" }, "limit": { "type": "integer", "format": "int32", "description": "Used with *offset* for pagination, eg. `\"limit\": 50, \"offset\": 0` returns a max of 50 results starting at position 0" }, "offset": { "type": "integer", "format": "int32", "description": "Used with *limit* for pagination" } } }, "examples": { "Get tags with pagination": { "value": { "apptoken": "YOUR_APPTOKEN", "order": [ "id ASC" ], "select": [ "id", "title" ], "condition": [ [ "id", ">", "3113692" ] ], "limit": "50", "offset": "0" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "data": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "integer", "example": "42526382", "default": "0" }, "project_id": { "type": "string", "example": "PROJECT_ID" }, "title": { "type": "string", "example": "abandoned_cart" }, "attribute_client": { "type": "integer", "example": "0", "default": "0" }, "attribute_profile": { "type": "integer", "example": "1", "default": "0" }, "type": { "type": "integer", "example": "0", "default": "0" }, "is_deleted": { "type": "integer", "example": "0", "default": "0" } } } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "data": [ { "id": "42526382", "project_id": "PROJECT_ID", "title": "abandoned_cart", "attribute_client": "0", "attribute_profile": "1", "type": "0", "is_deleted": "0" } ] } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "Tag Methods" ] } } } } ````